package org.springblade.gateway.common_gateway.enums;

import lombok.AllArgsConstructor;
import org.springblade.gateway.common_gateway.dto.ActiveSettingDto;
import org.springblade.gateway.common_gateway.dto.CommonSettingDto;
import org.springblade.gateway.common_gateway.dto.PointGoodsSettingDto;

/**
 * @Author: Silent
 * @Description
 * @Date: Created in 15:19 2021/11/9
 * @Modified By:
 */
@AllArgsConstructor
public enum PlatformSettingEnum {
	COMMON_SETTING("公共设置", CommonSettingDto.class),
	ACTIVE_SETTING("活动设置", ActiveSettingDto.class),
	POINT_GOODS_SETTING("积分商场设置", PointGoodsSettingDto.class);

	/**
	 * 描述
	 */
	private String describe;

	/**
	 * 类型
	 */
	private Class type;

	public String getDescribe() {
		return describe;
	}

	public <T> Class<T> getType() {
		return type;
	}
}
